## ros-image-pipeline 1.15.2

=== depth_image_proc/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(depth_image_proc)

find_package(catkin REQUIRED cmake_modules cv_bridge eigen_conversions image_geometry image_transport message_filters nodelet sensor_msgs stereo_msgs tf2 tf2_ros)

if(cv_bridge_VERSION VERSION_GREATER "1.12.0")
  add_compile_options(-std=c++11)
endif()

catkin_package(
    INCLUDE_DIRS include
    LIBRARIES ${PROJECT_NAME})

find_package(Boost REQUIRED)
find_package(Eigen3 QUIET)
if(NOT EIGEN3_FOUND)
  find_package(Eigen REQUIRED)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN_INCLUDE_DIRS})
endif()
find_package(OpenCV REQUIRED)
include_directories(include ${BOOST_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS} ${EIGEN3_INCLUDE_DIRS})

add_library(${PROJECT_NAME} src/nodelets/convert_metric.cpp
                             src/nodelets/crop_foremost.cpp
                             src/nodelets/disparity.cpp
                             src/nodelets/point_cloud_xyz.cpp
                             src/nodelets/point_cloud_xyzrgb.cpp
                             src/nodelets/point_cloud_xyzi.cpp
                             src/nodelets/point_cloud_xyz_radial.cpp
                             src/nodelets/point_cloud_xyzi_radial.cpp
                             src/nodelets/register.cpp
)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})

install(DIRECTORY include/${PROJECT_NAME}/
    DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
    FILES_MATCHING PATTERN "*.h")

install(TARGETS ${PROJECT_NAME}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)
install(FILES nodelet_plugins.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== image_proc/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(image_proc)

find_package(catkin REQUIRED)

find_package(catkin REQUIRED cv_bridge dynamic_reconfigure image_geometry image_transport nodelet nodelet_topic_tools roscpp sensor_msgs)
find_package(OpenCV REQUIRED)
find_package(Boost REQUIRED COMPONENTS thread)

if(cv_bridge_VERSION VERSION_GREATER "1.12.0")
  add_compile_options(-std=c++11)
endif()

# Dynamic reconfigure support
generate_dynamic_reconfigure_options(cfg/CropDecimate.cfg cfg/Debayer.cfg cfg/Rectify.cfg cfg/Resize.cfg)

catkin_package(
  CATKIN_DEPENDS image_geometry roscpp sensor_msgs
  DEPENDS OpenCV
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
)

include_directories(include ${catkin_INCLUDE_DIRS} ${OpenCV_INCLUDE_DIRS})

# Temporary fix for DataType deprecation in OpenCV 3.3.1. We continue to use the deprecated form for now because
# the new one is not available in OpenCV 2.4 (on Trusty).
add_definitions(-DOPENCV_TRAITS_ENABLE_DEPRECATED)

# Nodelet library
add_library(${PROJECT_NAME} src/libimage_proc/processor.cpp
                                src/nodelets/debayer.cpp
                                src/nodelets/rectify.cpp
                                src/nodelets/resize.cpp
                                src/nodelets/crop_decimate.cpp
                                src/libimage_proc/advertisement_checker.cpp
                                src/nodelets/edge_aware.cpp
                                src/nodelets/crop_non_zero.cpp
)
add_dependencies(${PROJECT_NAME} ${PROJECT_NAME}_gencfg)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${OpenCV_LIBRARIES})

install(TARGETS ${PROJECT_NAME}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)
install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)
install(FILES nodelet_plugins.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

# Standalone node
add_executable(image_proc_exe src/nodes/image_proc.cpp)
target_link_libraries(image_proc_exe ${PROJECT_NAME}  ${Boost_LIBRARIES} ${OpenCV_LIBRARIES})
SET_TARGET_PROPERTIES(image_proc_exe PROPERTIES OUTPUT_NAME image_proc)
install(TARGETS image_proc_exe
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# install the launch file
install(DIRECTORY launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/
)

if(CATKIN_ENABLE_TESTING)
  add_subdirectory(test)
endif()

=== image_publisher/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(image_publisher)

find_package(catkin REQUIRED COMPONENTS cv_bridge dynamic_reconfigure camera_info_manager sensor_msgs image_transport nodelet roscpp)

find_package(OpenCV REQUIRED COMPONENTS core)
message(STATUS "opencv version ${OpenCV_VERSION}")
if(OpenCV_VERSION VERSION_LESS "4.0.0")
  find_package(OpenCV 3 REQUIRED COMPONENTS core imgcodecs videoio)
else()
  find_package(OpenCV 4 REQUIRED COMPONENTS core imgcodecs videoio)
endif()

# generate the dynamic_reconfigure config file
generate_dynamic_reconfigure_options(cfg/ImagePublisher.cfg)

catkin_package()

include_directories(${catkin_INCLUDE_DIRS})

add_library(${PROJECT_NAME} SHARED src/nodelet/image_publisher_nodelet.cpp)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})
add_dependencies(${PROJECT_NAME} ${PROJECT_NAME}_gencfg)
install(TARGETS image_publisher
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

add_executable(image_publisher_exe src/node/image_publisher.cpp)
SET_TARGET_PROPERTIES(image_publisher_exe PROPERTIES OUTPUT_NAME image_publisher)
target_link_libraries(image_publisher_exe ${catkin_LIBRARIES})

install(TARGETS image_publisher_exe
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
install(FILES nodelet_plugins.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== image_rotate/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(image_rotate)

find_package(catkin REQUIRED COMPONENTS cmake_modules cv_bridge dynamic_reconfigure image_transport nodelet roscpp tf2 tf2_geometry_msgs)

# generate the dynamic_reconfigure config file
generate_dynamic_reconfigure_options(cfg/ImageRotate.cfg)

catkin_package()

find_package(OpenCV REQUIRED core imgproc)

# add the executable
include_directories(${catkin_INCLUDE_DIRS} ${OpenCV_INCLUDE_DIRS})

add_library(${PROJECT_NAME} SHARED src/nodelet/image_rotate_nodelet.cpp)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})
add_dependencies(${PROJECT_NAME} ${PROJECT_NAME}_gencfg)
install(TARGETS image_rotate
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

add_executable(image_rotate_exe src/node/image_rotate.cpp)
SET_TARGET_PROPERTIES(image_rotate_exe PROPERTIES OUTPUT_NAME image_rotate)
target_link_libraries(image_rotate_exe ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})

install(TARGETS image_rotate_exe
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
install(FILES nodelet_plugins.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== image_view/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(image_view)

find_package(catkin REQUIRED COMPONENTS camera_calibration_parsers cv_bridge dynamic_reconfigure image_transport message_filters message_generation nodelet rosconsole roscpp std_srvs stereo_msgs)
generate_dynamic_reconfigure_options(cfg/ImageView.cfg)

catkin_package(CATKIN_DEPENDS dynamic_reconfigure)
find_package(Boost REQUIRED COMPONENTS thread)
find_package(OpenCV REQUIRED)

include_directories(${Boost_INCLUDE_DIRS}
                    ${catkin_INCLUDE_DIRS}
                    ${OpenCV_INCLUDE_DIRS}
)

# Extra tools
add_executable(extract_images src/nodes/extract_images.cpp)
target_link_libraries(extract_images ${catkin_LIBRARIES}
                                     ${OpenCV_LIBRARIES}
)

add_executable(image_saver src/nodes/image_saver.cpp)
target_link_libraries(image_saver ${catkin_LIBRARIES}
                                  ${OpenCV_LIBRARIES}
)

add_executable(video_recorder src/nodes/video_recorder.cpp)
target_link_libraries(video_recorder ${catkin_LIBRARIES}
                                     ${OpenCV_LIBRARIES}
)

install(TARGETS extract_images image_saver video_recorder
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Deal with the GUI's
if(ANDROID)
  return()
endif()

find_package(PkgConfig REQUIRED)
pkg_check_modules(GTK3 REQUIRED gtk+-3.0)
include_directories(${GTK3_INCLUDE_DIRS})

pkg_check_modules(PC_HB REQUIRED harfbuzz)
include_directories(${PC_HB_INCLUDE_DIRS})

# Nodelet library
add_library(image_view src/nodelets/image_nodelet.cpp src/nodelets/disparity_nodelet.cpp src/nodelets/window_thread.cpp)
target_link_libraries(image_view ${catkin_LIBRARIES}
                                 ${GTK3_LIBRARIES}
                                 ${OpenCV_LIBRARIES}
                                 ${Boost_LIBRARIES}
)
add_dependencies(image_view ${PROJECT_NAME}_gencfg)
install(TARGETS image_view
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

# Image viewers
add_executable(image_view_exe src/nodes/image_view.cpp)
add_dependencies(image_view_exe ${PROJECT_NAME}_gencfg)
SET_TARGET_PROPERTIES(image_view_exe PROPERTIES OUTPUT_NAME image_view)
target_link_libraries(image_view_exe ${catkin_LIBRARIES}
                                     ${OpenCV_LIBRARIES}
                                     ${Boost_LIBRARIES}
)

add_executable(disparity_view src/nodes/disparity_view.cpp)
target_link_libraries(disparity_view ${catkin_LIBRARIES}
                                     ${OpenCV_LIBRARIES}
)

add_executable(stereo_view src/nodes/stereo_view.cpp)
target_link_libraries(stereo_view ${Boost_LIBRARIES}
                                  ${catkin_LIBRARIES}
                                  ${GTK3_LIBRARIES}
                                  ${OpenCV_LIBRARIES}
)

install(TARGETS disparity_view image_view_exe stereo_view
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
install(FILES nodelet_plugins.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

# Python programs
catkin_install_python(
  PROGRAMS scripts/extract_images_sync
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== stereo_image_proc/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(stereo_image_proc)

find_package(catkin REQUIRED cv_bridge dynamic_reconfigure image_geometry image_proc image_transport message_filters nodelet sensor_msgs stereo_msgs)
find_package(Boost REQUIRED COMPONENTS thread)

if(cv_bridge_VERSION VERSION_GREATER "1.12.0")
  add_compile_options(-std=c++11)
endif()

# Dynamic reconfigure support
generate_dynamic_reconfigure_options(cfg/Disparity.cfg)

catkin_package(
  CATKIN_DEPENDS image_geometry image_proc sensor_msgs stereo_msgs
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
)

include_directories(include)

find_package(OpenCV REQUIRED)
include_directories(${catkin_INCLUDE_DIRS} ${OpenCV_INCLUDE_DIRS})

# See note in image_proc/CMakeLists.txt
add_definitions(-DOPENCV_TRAITS_ENABLE_DEPRECATED)

# Nodelet library
add_library(${PROJECT_NAME} src/libstereo_image_proc/processor.cpp src/nodelets/disparity.cpp src/nodelets/point_cloud2.cpp)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES}
                                      ${OpenCV_LIBRARIES}
)
add_dependencies(${PROJECT_NAME} ${PROJECT_NAME}_gencfg)
install(TARGETS ${PROJECT_NAME}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)
install(FILES nodelet_plugins.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

# Standalone node
add_executable(stereoimageproc_exe src/nodes/stereo_image_proc.cpp)
target_link_libraries(stereoimageproc_exe stereo_image_proc)
SET_TARGET_PROPERTIES(stereoimageproc_exe PROPERTIES OUTPUT_NAME stereo_image_proc)
install(TARGETS stereoimageproc_exe
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# install the launch file
install(DIRECTORY launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/
)

# install the include directory
install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== image_proc/test/CMakeLists.txt ===
find_package(rostest REQUIRED)
find_package(catkin REQUIRED camera_calibration_parsers image_transport cv_bridge)
#catkin_add_gtest(image_proc_rostest rostest.cpp)
#target_link_libraries(image_proc_rostest ${catkin_LIBRARIES}  ${Boost_LIBRARIES})
include_directories(${catkin_INCLUDE_DIRS} ${OpenCV_INCLUDE_DIRS})
add_rostest_gtest(image_proc_test_rectify test_rectify.xml test_rectify.cpp)
target_link_libraries(image_proc_test_rectify ${catkin_LIBRARIES})

=== debian/changelog ===
ros-image-pipeline (1.15.2-4) unstable; urgency=medium

  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 22:58:12 +0100

ros-image-pipeline (1.15.2-3) unstable; urgency=medium

  * Add patch for Boost 1.74
  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 15 Dec 2020 11:26:42 +0100

ros-image-pipeline (1.15.2-2) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Fix library dependency libdepth-image-proc0d -> libimage-proc0d
  * Add patch for missing CATKIN_DEPENDS of depth_image_proc on image_geometry
    and sensor_msgs

  [ Johannes 'josch' Schauer ]
  * debian/control: libstereo-image-proc-dev: add missing Depends on
    libimage-proc-dev
  * debian/patches/0004-Add-missing-CATKIN_DEPENDS.patch: also fix
    depth_image_proc/package.xml
  * debian/control: remove Multi-Arch: same from libimage-proc-dev because
    image_procConfig.cmake hardcodes paths to the libraries which includes
    their architecture. This makes the files different on different
    architectures and thus not co-installable.

 -- Johannes 'josch' Schauer <josch@debian.org>  Tue, 27 Oct 2020 00:15:51 +0100

ros-image-pipeline (1.15.2-1) unstable; urgency=medium

  * Initial release (Closes: 868295)

 -- Johannes 'josch' Schauer <josch@debian.org>  Wed, 02 Sep 2020 11:09:23 +0200

=== debian/control ===
Source: ros-image-pipeline
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
           Johannes 'josch' Schauer <josch@debian.org>
Section: libs
Priority: optional
Build-Depends: catkin,
               debhelper-compat (= 13),
               dh-sequence-python3,
               libboost-filesystem-dev,
               libboost-python-dev,
               libcamera-info-manager-dev,
               libcv-bridge-dev,
               libdynamic-reconfigure-config-init-mutex-dev,
               libgtk-3-dev,
               libimage-geometry-dev,
               libimage-transport-dev,
               libnodelet-topic-tools-dev,
               libnodeletlib-dev,
               librosconsole-dev,
               librostest-dev,
               libsensor-msgs-dev,
               libstd-srvs-dev,
               libstereo-msgs-dev,
               libtf-conversions-dev,
               libtf2-dev,
               libtf2-geometry-msgs-dev,
               libtf2-ros-dev,
               libtinyxml2-dev,
               python3-dynamic-reconfigure,
               python3:any,
               ros-cmake-modules,
               ros-sensor-msgs
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/science-team/ros-image-pipeline
Vcs-Git: https://salsa.debian.org/science-team/ros-image-pipeline.git
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/image_pipeline

Package: python3-camera-calibration
Architecture: all
Section: python
Breaks: python-camera-calibration
Replaces: python-camera-calibration
Depends: python3, ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Robot OS camera_calibration Python3 package
 This package is part of Robot OS (ROS). It provides routines for
 camera_calibration allows easy calibration of monocular or stereo
 cameras using a checkerboard calibration target. Python3 version.

Package: ros-camera-calibration
Architecture: all
Section: utils
Depends: python3,
         python3-camera-calibration,
         python3-message-filters,
         python3-sensor-msgs,
         python3-std-srvs,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: ROS camera_calibration nodes
 This package is part of Robot OS (ROS). It provides routines for
 camera_calibration allows easy calibration of monocular or stereo
 cameras using a checkerboard calibration target. This package
 constains ROS nodes.

Package: libdepth-image-proc0d
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Robot OS depth-image-proc package
 This package is part of Robot OS (ROS). The package contains nodelets
 for processing depth images such as those produced by OpenNI camera.
 Functions include creating disparity images and point clouds, as well
 as registering (reprojecting) a depth image into another camera frame.

Package: libdepth-image-proc-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libcv-bridge-dev,
         libdepth-image-proc0d (= ${binary:Version}),
         libimage-geometry-dev,
         libimage-transport-dev,
         libnodelet-dev,
         libtf-conversions-dev,
         libtf2-dev,
         libtf2-ros-dev,
         ${misc:Depends}
Description: Robot OS depth-image-proc package - development
 This package is part of Robot OS (ROS). The package contains nodelets
 for processing depth images such as those produced by OpenNI camera.
 Functions include creating disparity images and point clouds, as well
 as registering (reprojecting) a depth image into another camera frame.
 .
 It contains C++ headers for the libdepth-image-proc.

Package: libimage-proc0d
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Robot OS Single image rectification and color processing
 This package is part of Robot OS (ROS). The package provides
 the library with routines for single image rectification and color
 processing.

Package: libimage-proc-dev
Architecture: any
Section: libdevel
Depends: libcv-bridge-dev,
         libimage-proc0d (= ${binary:Version}),
         libdynamic-reconfigure-config-init-mutex-dev,
         libimage-geometry-dev,
         libimage-transport-dev,
         libnodelet-dev,
         libnodelet-topic-tools-dev,
         libsensor-msgs-dev,
         ${misc:Depends}
Description: Robot OS mage-proc package - development
 This package is part of Robot OS (ROS). The package provides
 the library with routines for single image rectification and color
 processing.
 .
 It contains C++ headers for the libimage-proc.

Package: libimage-publisher0d
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Robot OS image publishing
 This package is part of Robot OS (ROS). The package provides
 the library to publish an image stream from single image file
 or avi motion file

Package: libimage-publisher-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libcamera-info-manager-dev,
         libcv-bridge-dev,
         libdynamic-reconfigure-config-init-mutex-dev,
         libimage-publisher0d (= ${binary:Version}),
         libimage-transport-dev,
         libnodelet-dev,
         libsensor-msgs-dev,
         ${misc:Depends}
Description: Robot OS image publishing - development
 This package is part of Robot OS (ROS). The package provides
 the library to publish an image stream from single image file
 or avi motion file
 .
 It contains C++ headers for the libimage-publisher.

Package: libimage-rotate0d
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Robot OS image rotate stream
 This package is part of Robot OS (ROS). The package provides
 the library to that rotates an image stream in a way that
 minimizes the angle between a vector in some arbitrary frame
 and a vector in the camera frame.

Package: libimage-rotate-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libcv-bridge-dev,
         libdynamic-reconfigure-config-init-mutex-dev,
         libimage-rotate0d (= ${binary:Version}),
         libimage-transport-dev,
         libnodelet-dev,
         libtf2-geometry-msgs-dev,
         libtf2-ros-dev,
         ${misc:Depends}
Description: Robot OS image rotate - development
 This package is part of Robot OS (ROS). The package provides
 the library to that rotates an image stream in a way that
 minimizes the angle between a vector in some arbitrary frame
 and a vector in the camera frame.
 .
 It contains C++ headers for the libimage-rotate.

Package: libimage-view0d
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Robot OS image_view package
 This package is part of Robot OS (ROS). The package provides
 the library with a viewer for ROS image topics. Includes a specialized viewer
 for stereo + disparity images

Package: libimage-view-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libcamera-calibration-parsers-dev,
         libcv-bridge-dev,
         libdynamic-reconfigure-config-init-mutex-dev,
         libgtk-3-dev,
         libimage-transport-dev,
         libimage-view0d (= ${binary:Version}),
         libmessage-filters-dev,
         libnodelet-dev,
         libsensor-msgs-dev,
         libstd-srvs-dev,
         libstereo-msgs-dev,
         ${misc:Depends}
Description: Robot OS image_view - development
 This package is part of Robot OS (ROS). The package provides
 the library with a viewer for ROS image topics. Includes a specialized viewer
 for stereo + disparity images
 .
 It contains C++ headers for the libimage-view.

Package: libstereo-image-proc0d
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Robot OS stereo-image-proc package
 This package is part of Robot OS (ROS). The package provides
 the library for stereo and single image rectification and
 disparity processing.

Package: libstereo-image-proc-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libcv-bridge-dev,
         libdynamic-reconfigure-config-init-mutex-dev,
         libimage-geometry-dev,
         libimage-proc-dev,
         libimage-transport-dev,
         libmessage-filters-dev,
         libnodelet-dev,
         libsensor-msgs-dev,
         libstereo-msgs-dev,
         libstereo-image-proc0d (= ${binary:Version}),
         ${misc:Depends}
Description: Robot OS stereo-image-proc - development
 This package is part of Robot OS (ROS). The package provides
 the library for stereo and single image rectification and
 disparity processing.
 .
 It contains C++ headers for the libstereo-image-proc.

Package: ros-image-proc
Architecture: any
Section: utils
Depends: libimage-proc0d, ${misc:Depends}, ${shlibs:Depends}
Description: ROS image_proc node
 This package is part of Robot OS (ROS). The package provides
 the library with routines for single image rectification and color
 processing. This package constains a ROS node.

Package: ros-image-publisher
Architecture: any
Section: utils
Depends: libimage-publisher0d, ${misc:Depends}, ${shlibs:Depends}
Description: ROS image-publisher node
 This package is part of Robot OS (ROS). The package provides
 the library to publish an image stream from single image file
 or avi motion file. Contains a ROS node.

Package: ros-image-rotate
Architecture: any
Section: utils
Depends: libimage-rotate0d, ${misc:Depends}, ${shlibs:Depends}
Description: ROS image-rotate node
 This package is part of Robot OS (ROS). The package provides
 the library to that rotates an image stream in a way that
 minimizes the angle between a vector in some arbitrary frame
 and a vector in the camera frame. Contains a ROS node.

Package: ros-image-view
Architecture: any
Section: utils
Depends: libimage-view0d,
         python3,
         python3-image-view,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: ROS image_view node
 This package is part of Robot OS (ROS). The package provides
 the library with a viewer for ROS image topics. Includes a specialized viewer
 for stereo + disparity images. Contains ROS nodes.

Package: ros-stereo-image-proc
Architecture: any
Section: utils
Depends: libstereo-image-proc0d, ${misc:Depends}, ${shlibs:Depends}
Description: ROS stereo_image_proc node
 This package is part of Robot OS (ROS). The package provides
 the library for stereo and single image rectification and
 disparity processing. Contains a ROS node.

Package: python3-image-proc
Architecture: all
Section: python
Breaks: python-image-proc
Replaces: python-image-proc
Depends: ${misc:Depends}, ${python3:Depends}
Description: Robot OS image_proc Python 3 package
 This package is part of Robot OS (ROS). The package provides
 the library with routines for single image rectification and color
 processing. Python 3 package.

Package: python3-image-publisher
Architecture: all
Section: python
Breaks: python-image-publisher
Replaces: python-image-publisher
Depends: ${misc:Depends}, ${python3:Depends}
Description: Robot OS image_publisher Python 3 package
 This package is part of Robot OS (ROS). The package provides
 the library to publish an image stream from single image file
 or avi motion file. Python 3 package.

Package: python3-image-rotate
Architecture: all
Section: python
Breaks: python-image-rotate
Replaces: python-image-rotate
Depends: ${misc:Depends}, ${python3:Depends}
Description: Robot OS image_rotate Python 3 package
 This package is part of Robot OS (ROS). The package provides
 the library to that rotates an image stream in a way that
 minimizes the angle between a vector in some arbitrary frame
 and a vector in the camera frame. Python 3 package.

Package: python3-image-view
Architecture: all
Section: python
Breaks: python-image-view
Replaces: python-image-view
Depends: ${misc:Depends}, ${python3:Depends}

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+fixfilepath

%:
	dh $@

# disable testing to avoid downloading data from a remote server
override_dh_auto_configure:
	dh_auto_configure -- -DCATKIN_ENABLE_TESTING:BOOL=OFF

## ros-image-pipeline 1.16.0

=== camera_calibration/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(camera_calibration)

find_package(catkin REQUIRED)
catkin_package()

catkin_python_setup()

if(CATKIN_ENABLE_TESTING)
  # Unit test of calibrator.py
  catkin_add_nosetests(test/directed.py)

  # Tests simple calibration dataset
  catkin_download_test_data(camera_calibration.tar.gz http://download.ros.org/data/camera_calibration/camera_calibration.tar.gz
    DESTINATION ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/tests
    MD5 6da43ea314640a4c15dd7a90cbc3aee0
  )

  # Tests multiple checkerboards
  catkin_download_test_data(multi_board_calibration.tar.gz http://download.ros.org/data/camera_calibration/multi_board_calibration.tar.gz
    DESTINATION ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/tests
    MD5 ddc0f69582d140e33f9d3bfb681956bb
  )
  catkin_add_nosetests(test/multiple_boards.py)
endif()

catkin_install_python(PROGRAMS nodes/cameracalibrator.py
  nodes/cameracheck.py
  scripts/tarfile_calibration.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== depth_image_proc/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,19 @@
 cmake_minimum_required(VERSION 3.0.2)
 project(depth_image_proc)
 
-find_package(catkin REQUIRED cmake_modules cv_bridge eigen_conversions image_geometry image_transport message_filters nodelet sensor_msgs stereo_msgs tf2 tf2_ros)
+find_package(catkin REQUIRED
+  cmake_modules
+  cv_bridge
+  eigen_conversions
+  image_geometry
+  image_transport
+  message_filters
+  nodelet
+  sensor_msgs
+  stereo_msgs
+  tf2
+  tf2_ros
+)
 
 if(cv_bridge_VERSION VERSION_GREATER "1.12.0")
   add_compile_options(-std=c++11)
@@ -28,6 +40,7 @@
                              src/nodelets/point_cloud_xyzi.cpp
                              src/nodelets/point_cloud_xyz_radial.cpp
                              src/nodelets/point_cloud_xyzi_radial.cpp
+                             src/nodelets/point_cloud_xyzrgb_radial.cpp
                              src/nodelets/register.cpp
 )
 target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${OpenCV_LIBRARIES})

=== image_view/CMakeLists.txt ===
--- 
+++ 
@@ -38,17 +38,9 @@
   return()
 endif()
 
-find_package(PkgConfig REQUIRED)
-pkg_check_modules(GTK3 REQUIRED gtk+-3.0)
-include_directories(${GTK3_INCLUDE_DIRS})
-
-pkg_check_modules(PC_HB REQUIRED harfbuzz)
-include_directories(${PC_HB_INCLUDE_DIRS})
-
 # Nodelet library
 add_library(image_view src/nodelets/image_nodelet.cpp src/nodelets/disparity_nodelet.cpp src/nodelets/window_thread.cpp)
 target_link_libraries(image_view ${catkin_LIBRARIES}
-                                 ${GTK3_LIBRARIES}
                                  ${OpenCV_LIBRARIES}
                                  ${Boost_LIBRARIES}
 )
@@ -76,7 +68,6 @@
 add_executable(stereo_view src/nodes/stereo_view.cpp)
 target_link_libraries(stereo_view ${Boost_LIBRARIES}
                                   ${catkin_LIBRARIES}
-                                  ${GTK3_LIBRARIES}
                                   ${OpenCV_LIBRARIES}
 )

=== debian/changelog ===
ros-image-pipeline (1.16.0-2) unstable; urgency=medium

  * Fix compilation with new log4cxx (Closes: #1004765)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 01 Feb 2022 22:00:24 +0100

ros-image-pipeline (1.16.0-1) unstable; urgency=medium

  * New upstream version 1.16.0
  * drop gtk-3 dependency (dropped upstream)
  * Rebase patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 04 Dec 2021 09:45:49 +0100

ros-image-pipeline (1.15.3-3) unstable; urgency=medium

  * Depend on new libcv-bridge-dev for autopkgtest

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 29 Oct 2021 09:10:03 +0200

ros-image-pipeline (1.15.3-2) unstable; urgency=medium

  * Enable tests
  * Drop old Breaks/Replaces

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 28 Oct 2021 08:12:32 +0200

ros-image-pipeline (1.15.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.15.3

 -- Timo Röhling <roehling@debian.org>  Sun, 26 Sep 2021 19:12:41 +0200

ros-image-pipeline (1.15.2-6) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * Fix Multiarch hinter issues

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Sep 2021 22:42:41 +0200

ros-image-pipeline (1.15.2-5) experimental; urgency=medium

  * Team upload.
  * Move pkg-config and CMake config files to /usr/lib/<triplet>
  * Bump Standards-Version to 4.6.0 (no changes)
  * Fix tf2 dependency of image_rotate

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Sep 2021 00:17:57 +0200

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,14 @@
            Johannes 'josch' Schauer <josch@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: catkin,
+Build-Depends: catkin (>= 0.8.10-1~),
                debhelper-compat (= 13),
                dh-sequence-python3,
                libboost-filesystem-dev,
                libboost-python-dev,
                libcamera-info-manager-dev,
-               libcv-bridge-dev,
+               libcv-bridge-dev (>= 1.15.0+ds-8~),
                libdynamic-reconfigure-config-init-mutex-dev,
-               libgtk-3-dev,
                libimage-geometry-dev,
                libimage-transport-dev,
                libnodelet-topic-tools-dev,
@@ -31,8 +30,14 @@
                python3-dynamic-reconfigure,
                python3:any,
                ros-cmake-modules,
-               ros-sensor-msgs
-Standards-Version: 4.5.1
+               ros-sensor-msgs,
+               libgtest-dev,
+               python3-nose <!nocheck>,
+               python3-rostest <!nocheck>,
+               python3-opencv <!nocheck>,
+               python3-cv-bridge <!nocheck>,
+               python3-image-geometry <!nocheck>,
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/science-team/ros-image-pipeline
 Vcs-Git: https://salsa.debian.org/science-team/ros-image-pipeline.git
 Rules-Requires-Root: no
@@ -41,8 +46,6 @@
 Package: python3-camera-calibration
 Architecture: all
 Section: python
-Breaks: python-camera-calibration
-Replaces: python-camera-calibration
 Depends: python3, ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
 Description: Robot OS camera_calibration Python3 package
  This package is part of Robot OS (ROS). It provides routines for
@@ -80,7 +83,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libcv-bridge-dev,
+Depends: libcv-bridge-dev (>= 1.15.0+ds-8~),
          libdepth-image-proc0d (= ${binary:Version}),
          libimage-geometry-dev,
          libimage-transport-dev,
@@ -108,8 +111,9 @@
 
 Package: libimage-proc-dev
 Architecture: any
-Section: libdevel
-Depends: libcv-bridge-dev,
+Multi-Arch: same
+Section: libdevel
+Depends: libcv-bridge-dev (>= 1.15.0+ds-8~),
          libimage-proc0d (= ${binary:Version}),
          libdynamic-reconfigure-config-init-mutex-dev,
          libimage-geometry-dev,
@@ -139,7 +143,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends: libcamera-info-manager-dev,
-         libcv-bridge-dev,
+         libcv-bridge-dev (>= 1.15.0+ds-8~),
          libdynamic-reconfigure-config-init-mutex-dev,
          libimage-publisher0d (= ${binary:Version}),
          libimage-transport-dev,
@@ -167,7 +171,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libcv-bridge-dev,
+Depends: libcv-bridge-dev (>= 1.15.0+ds-8~),
          libdynamic-reconfigure-config-init-mutex-dev,
          libimage-rotate0d (= ${binary:Version}),
          libimage-transport-dev,
@@ -197,9 +201,8 @@
 Multi-Arch: same
 Section: libdevel
 Depends: libcamera-calibration-parsers-dev,
-         libcv-bridge-dev,
-         libdynamic-reconfigure-config-init-mutex-dev,
-         libgtk-3-dev,
+         libcv-bridge-dev (>= 1.15.0+ds-8~),
+         libdynamic-reconfigure-config-init-mutex-dev,
          libimage-transport-dev,
          libimage-view0d (= ${binary:Version}),
          libmessage-filters-dev,
@@ -228,7 +231,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libcv-bridge-dev,
+Depends: libcv-bridge-dev (>= 1.15.0+ds-8~),
          libdynamic-reconfigure-config-init-mutex-dev,
          libimage-geometry-dev,
          libimage-proc-dev,
@@ -300,8 +303,6 @@
 Package: python3-image-proc
 Architecture: all
 Section: python
-Breaks: python-image-proc
-Replaces: python-image-proc
 Depends: ${misc:Depends}, ${python3:Depends}
 Description: Robot OS image_proc Python 3 package
  This package is part of Robot OS (ROS). The package provides
@@ -311,8 +312,6 @@
 Package: python3-image-publisher
 Architecture: all
 Section: python
-Breaks: python-image-publisher
-Replaces: python-image-publisher
 Depends: ${misc:Depends}, ${python3:Depends}
 Description: Robot OS image_publisher Python 3 package
  This package is part of Robot OS (ROS). The package provides
@@ -322,8 +321,6 @@
 Package: python3-image-rotate
 Architecture: all
 Section: python
-Breaks: python-image-rotate
-Replaces: python-image-rotate
 Depends: ${misc:Depends}, ${python3:Depends}
 Description: Robot OS image_rotate Python 3 package
  This package is part of Robot OS (ROS). The package provides
@@ -334,6 +331,3 @@
 Package: python3-image-view
 Architecture: all
 Section: python
-Breaks: python-image-view
-Replaces: python-image-view
-Depends: ${misc:Depends}, ${python3:Depends}

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+fixfilepath

%:
	dh $@

override_dh_auto_test:
	make -C obj-$(DEB_HOST_GNU_TYPE) run_tests
	catkin_test_results
